<?php

namespace Drupal\entity_template_ui\Plugin\EntityTemplate\Template;

use Drupal\Core\Url;
use Drupal\entity_template\Plugin\EntityTemplate\Template\TemplateInterface;

interface TemplateUIInterface {

  public function setTemplate(TemplateInterface $template): TemplateUIInterface;

  public function addComponentUrl(): ?Url;

  public function swapComponentUrl(string $key, string $other_id): ?Url;

  public function removeComponentUrl(string $key): ?Url;

  public function addConditionUrl(): ?Url;

  public function configureConditionUrl(string $key): ?Url;

  public function removeConditionUrl(string $key): ?Url;

  public function dataSelectAutocompleteElement(string $component_id): array;

}
